---
title: Save Postal Code Coordinates
slug: api-documentation/save-postal-code-coordinates
docTags: 
createdAt: 2026-08-27T16:56:29.420Z
---

{
  "id": "yIIk3S5iRc2eoixnIeazx",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/location/postalcodecoordinates",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/location/postalcodecoordinates"
      }
    ],
    "name": "Save Postal Code Coordinates",
    "description": "<p>This endpoint stores the coordinates for a postal code.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>location.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "The postal code to resolve to coordinates.",
          "customType": "PostalCodeCoordinates[]",
          "schema": [
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "",
              "default": "N/A"
            },
            {
              "name": "latitude",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "longitude",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "postalCode",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "state",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "stateOrRegion",
              "kind": "required",
              "type": "string",
              "description": ""
            }
          ],
          "modelRef": "#/components/schemas/PostalCodeCoordinates",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-postal code and relevant coordinates saved.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned when a request fails validation, identifying the offending input by name, code and detail.</p>",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Standard error payload identifying a failure by name, code and detail, with an optional machine-readable reason.</p>",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "uj3bu16unVvArdxgruJgj",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/location/postalcodecoordinates \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '[\n     {\n     \"city\": \"\",\n     \"country\": \"N/A\",\n     \"latitude\": \"\",\n     \"longitude\": \"\",\n     \"postalCode\": \"\",\n     \"state\": \"\",\n     \"stateOrRegion\": \"\"\n     }\n     ]'"
        },
        {
          "id": "B-7-ArjDJ2MBnk_DWwBnT",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify([\n   {\n      \"city\": \"\",\n      \"country\": \"N/A\",\n      \"latitude\": \"\",\n      \"longitude\": \"\",\n      \"postalCode\": \"\",\n      \"state\": \"\",\n      \"stateOrRegion\": \"\"\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/location/postalcodecoordinates\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "FnaQmgTMmeiAAo6N-Z1Ez",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/location/postalcodecoordinates\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump([\n   {\n      \"city\": \"\",\n      \"country\": \"N/A\",\n      \"latitude\": \"\",\n      \"longitude\": \"\",\n      \"postalCode\": \"\",\n      \"state\": \"\",\n      \"stateOrRegion\": \"\"\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Wx0yHr3NLLOUecgLh9MKb",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/location/postalcodecoordinates\"\n\npayload = json.dumps([\n   {\n      \"city\": \"\",\n      \"country\": \"N/A\",\n      \"latitude\": \"\",\n      \"longitude\": \"\",\n      \"postalCode\": \"\",\n      \"state\": \"\",\n      \"stateOrRegion\": \"\"\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "uj3bu16unVvArdxgruJgj"
    },
    "results": {
      "languages": [
        {
          "id": "sy4lxMiHzMcOkq8HMgJC5",
          "language": "200",
          "code": "// Success-postal code and relevant coordinates saved.\n"
        },
        {
          "id": "idLBHA3ZRYVbZnbmSVBr3",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "_UkjAfNvp5jH1uao-vQWV",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "sy4lxMiHzMcOkq8HMgJC5"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}